Install Papywizard v2 on Nokia N8x0

From Autopano

Jump to: navigation, search

This page describes all the steps needed to install Papywizard v2 on a Nokia N800 or N810 Internet Tablet.

Version fran├žaise

Contents

Introduction

In order to run Papywizard v2 your Nokia Internet Tablet must run OS2008 or later. This means that Papywizard v2 only works on N8x0 devices, papywizard v2 is not supported on the Nokia 770 Internet Tablet.

The N800 was originally supplied with OS2007 but will run all versions of OS2008. So you need to upgrade your N800 to the latest version of OS2008 before installing Papywizard v2. And it will run faster and be more stable than when running OS2007.

The N810 was shipped with OS2008. It is recommended that you update your N810 to the latest version of OS2008 before installing Papywizard v2.

The N800 and N810 can run the same version of OS2008. The basic/core hardware of the N800 and N810 is very similar but the N810 has a slide out keyboard and has only one removable card slot and 2GB internal storage; the N800 has two removable card slots instead, and no slide out keyboard.

Papywizard v2 is written using the Python programming language. You must install the Python 2.5 runtime and PyQt library before installing Papywizard v2.

Nokia N8x0

Update to the latest 0S2008 firmware

Download the latest 0S2008 firmware

  • download the OS2008 firmware (choose the latest one)to your PC, not to your Nokia Internet tablet. You cannot install the firmware from your Nokia Internet Tablet only from another PC.

Install the latest OS2008 firmware from Windows

Install the latest OS2008 firmware from MacOS

Install the latest OS2008 firmware from Linux

See here.

Add and/or enable the Maemo Extra Application Catalogue

  • power up your Nokia N8x0 Tablet.
  • from the Home screen, run the Application Manager program which will be found in Settings
  • click in the top bar to open the menu and choose Tools > Application catalogue...
  • double-tap Maemo extra
  • uncheck the Disabled checkbox

If the catalogue is not already there, add a new Application Catalogue with the following values:

Name         maemo extra 
Address      http://repository.maemo.org/extras/
Components   free non-free

or install from here

Install the required program packages - rootsh, Python 2.5 runtime and PyQt

  • open the Application Manager
  • browse the list of Installable Applications.
  • select and install rootsh
  • select and install maemo-python-device-env
  • launch the X Terminal program from Utilities, then enter and execute the following commands (shown in bold) from the command line prompt to install the Python 2.5 runtime and PyQt library, using Enter to complete and execute each line, one line at a time:
$ sudo gainroot
/home/user # apt-get install python2.5-runtime
/home/user # apt-get install python2.5-bluez
/home/user # apt-get install python2.5-qt4-core
/home/user # apt-get install python2.5-qt4-gui
/home/user # apt-get install python2.5-qt4-network


As each apt-get command line is executed you will see a mass of scrolling text and occasionally be prompted to enter 'Y/N' - always enter 'Y' - eventually you will be returned to the command line prompt. You have now completed the installation of the Python 2.5 runtime and PyQt.

  • close the X Terminal program and return to the Home screen

Install the latest development version of Papywizard v2

Unlike Papywizard v1, Papywizard v2 can only be installed by downloading the package, and installing it manually. But this can be done very easily from the N800/N810 Web browser.

If you are browsing this page from your N800/N810 tablet then just click on the link for latest development version of the .deb package for Maemo you will find here. You will be offered the option to download and install Papywizard using the Application Manager; accept that option, be patient and follow the prompts to install Papywizard.

Alternatively using your N800/N810 Internet Tablet browse the Papywizard web site - http://www.papywizard.org - and follow the links to Download and click on the link for the latest development version .deb package for Maemo. You will be offered the option to download and install Papywizard using the Application Manager; accept that option, be patient and follow the prompts to install Papywizard.

Run Papywizard v2

  • select Papywizard, you will find it in Extras
  • load the Papywizard program and configure the plug-ins for the type of connection you wish to use to connect to the Merlin/Orion head, and configure the settings to match your camera, lens and exposure - see the User Guide for details, this can also be accessed from Papywizard via the Help menu.
  • enjoy!

If you run into a problem

If you get stuck at any point in the installation post a message in the Autopano Forum and we will be happy to help you.

Register and let us know who you are

If you would like to add yourself to a list of Merlin/Orion and Papywizard users.

Personal tools